        @import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Open+Sans&family=Londrina+Solid&display=swap");
        :root {
            /* light mode */
            --editor-bg-color: rgb(255, 255, 255);
            --scrollbar-color: rgba(0,0,0,0.3);
            --scrollbar-thumb-color: rgba(0,0,0,0.1);
            --scrollbar-thumb-hover-color: rgba(0,0,0,0.2);
            --nav-text:rgb(24,101,242);
            --logo-text:rgb(10,42,102);
            --nav-bg:#fff;
            --text: #000;
            --editor-border-color: #ccc;
            --hover-bg: rgba(0, 0, 0, 0.1);
            --hover-text: rgba(0, 150, 255);
        }
        body.dark {
            /* dark mode */
            --editor-bg-color: #000;
            --scrollbar-color: rgb(70, 70, 70);
            --scrollbar-thumb-color: rgba(255,255,255,0.1);
            --scrollbar-thumb-hover-color: rgba(175,175,175,0.1);
            --nav-text:#fff;
            --logo-text:rgb(255, 255, 255);
            --nav-bg:#000;
            --text: #fff;
            --editor-border-color: #444;
            --hover-bg: rgba(255, 255, 255, 0.3);
            --hover-text: rgb(105, 193, 255);
        }
        * {
            margin:0;
            padding:0;
            box-sizing:border-box;
        }
        #editor.droppable {
            border: 2px dashed #4caf50;
            background: rgba(76,175,80,0.1);
        }
        nav {
            top: 0;
            left: 0;
            position: sticky;
            z-index:10;
            display: flex;
            justify-content: space-between;
            align-items: center;
            height: 65px;
            width: 100vw;
            padding: 0 10px;
            background: var(--nav-bg);
            border-bottom: 1px solid var(--editor-border-color);
        }
        .logo {
            display: flex;
            align-items: center;
            padding: 0 15px;
            cursor:pointer;
        }
        nav a.logo img {
            width: 40px;
        }
        nav a.logo .text {
            color: var(--logo-text);
            margin-left: 5px;
            font-weight:900;
        }
        nav a.logo .text h3 {
            color: inherit;
            font-family:"Londrina Solid", sans-serif;
            font-weight:500;
        }
        nav a.logo .text h3 span {
            font-size:10px;
            color:rgb(100,100,100);
            margin-left:5px;
        }
        nav a {
            color: var(--nav-text);
            text-decoration:none;
            font-family:"Open Sans", sans-serif;
            font-weight:bold;
            margin:0 10px;
            transition:0.2s;
        }
        nav a:hover {
            color:rgb(70, 157, 250);
        }
        #resizer {
            width: 2px;
            background: var(--editor-border-color);
            cursor: ew-resize;
            position: relative;
            z-index: 2;
            transition: background 0.1s;
        }
        #resizer:hover {
            background: rgb(21,191,150);
        }
        .editor-plus-preview {
            display: flex;
            height: calc(100vh - 125px);
            padding:10px;
            background:var(--editor-bg-color);
            width:calc(100% - 60px);
            margin-left: 60px;
        }
        #editor-container {
            position: relative;
            width: 50%;
            height: 100%;
            overflow:hidden;
        }
        #editor {
            width: 100%;
            height: 100%;
            border: 1px solid var(--editor-border-color);
        }
        #editor * {
            font-family:monospace;
        }
        #preview-container {
            width: 50%;
            overflow: hidden;
        }
        #preview {
            width: 100%;
            height: 100%;
            background-color: #fff;
            border: 1px solid var(--editor-border-color);
        }
        footer.footer {
            position: relative;
            bottom: 0;
            left: 60px;
            background: var(--editor-bg-color);
            width: calc(100vw - 65px);
            display: flex;
            align-items: center;
            justify-content:space-between;
            height: 60px;
            padding:0 10px 10px 10px;
        }
        footer.footer .main-btns button {
            padding:12px 20px;
            border-radius:20px;
            color:#fff;
            font-weight:600;
            border:1px solid var(--text);
            outline:none;
            margin:0 6px 0 0;
            transition:0.1s;
            cursor:pointer;
            background: rgb(47,185,149);
        }
        footer.footer .main-btns button:hover {
            background-color:rgb(30, 154, 121);
        }
        footer.footer .main-btns button:hover {
            text-shadow:0 0 1px #fff;
        }
        footer.footer .main-btns button span {
            font-size:10px;
            transform:scale(1.9);
            margin-right:5px;
            transition:0.2s;
        }
        footer.footer .main-btns button.restart-btn span {
            transform:rotate(-40deg) scale(1.9);
        }
        @keyframes rotate {
            0%{
                transform:rotate(-40deg) scale(1.9);
            }
            100% {
                transform:rotate(320deg) scale(1.9);
            }
        }

        @media (max-width: 800px) {
            .editor-plus-preview {
                flex-direction: column;
            }
            #editor-container, #preview-container {
                width: 100%;
                height: 50%;
            }
            #preview-container {
                margin-top: 5px;
            }
            .toggle-editor-btn {
                display: none;
            }
            #resizer {
                display: none;
            }
            #beautify-animation {
                display: none;
            }
        }
        .sidenav {
            position: fixed;
            top: 65px;
            left: 0;
            z-index: 9;
            width: 60px;
            height: calc(100vh - 65px);
            background: var(--nav-bg);
            border-right: 1px solid var(--editor-border-color);
            display: flex;
            flex-direction: column;
            justify-content: space-between;
            align-items: center;
            padding: 15px 0;
        }
        .sidenav button {
            background: none;
            border: none;
            cursor: pointer;
            margin: 5px 0;
            font-size: 24px;
            color: var(--text);
            padding: 8px;
            border-radius: 8px;
            transition: 0.2s;
        }
        .sidenav button:hover {
            background: var(--hover-bg);
            color: var(--hover-text);
        }
        .editor-tools, .editor-settings {
            display: flex;
            flex-direction: column;
            align-items: center;
        }
        .editor-info {
            display: flex;
            align-items: center;
            font-family: Montserrat, sans-serif;
            color: var(--text);
            font-size: 14px;
        }
        .editor-info div {
            margin: 0 5px 0 5px;
        }
        .time {
            font-weight: 600;
        }
        .return-to-ka {
            display: inline-flex;
            align-items: center;
        }
        .return-to-ka span {
            font-size: 18px;
            margin-left: 4px;
        }
        #beautify-animation {
            position: absolute;
            top: -50px;
            left: 0;
            width: 100%;
            aspect-ratio: 1 / 1;
            pointer-events: none;
            z-index: 5;

            display: none;
        }

#fadeBackground {
    position: fixed;
    z-index: 1000;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background-color: #0000008c;
    display: none;
    align-items: center;
    justify-content: center;
    font-family: "Open Sans", sans-serif;
    font-weight: bold;
}

.popup-button {
    border: none;
    width: 50%;
    height: 50px;
    position: absolute;
    bottom: 0px;
    font-family: "Open Sans", sans-serif;
    font-weight: bold;
}
